Share via


Migration Recovery Points - Get

Gets a recovery point for a migration item.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.RecoveryServices/vaults/{resourceName}/replicationFabrics/{fabricName}/replicationProtectionContainers/{protectionContainerName}/replicationMigrationItems/{migrationItemName}/migrationRecoveryPoints/{migrationRecoveryPointName}?api-version=2025-08-01

URI Parameters

Name In Required Type Description
fabricName
path True

string

Fabric name.

migrationItemName
path True

string

Migration item name.

migrationRecoveryPointName
path True

string

The migration recovery point name.

protectionContainerName
path True

string

Protection container name.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

resourceName
path True

string

The name of the Vault

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

MigrationRecoveryPoint

Azure operation completed successfully.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Gets a recovery point for a migration item.

Sample request

GET https://management.azure.com/subscriptions/cb53d0c3-bd59-4721-89bc-06916a9147ef/resourceGroups/resourcegroup1/providers/Microsoft.RecoveryServices/vaults/migrationvault/replicationFabrics/vmwarefabric1/replicationProtectionContainers/vmwareContainer1/replicationMigrationItems/virtualmachine1/migrationRecoveryPoints/b22134ea-620c-474b-9fa5-3c1cb47708e3?api-version=2025-08-01

Sample response

Azure-AsyncOperation: https://management.azure.com/Subscriptions/cb53d0c3-bd59-4721-89bc-06916a9147ef/resourceGroups/resourcegroup1/providers/Microsoft.RecoveryServices/vaults/migrationvault/replicationOperationStatus/a93f3cd5-9035-4b1e-a2c9-b16df6d5d34b?api-version=2025-08-01
{
  "name": "b22134ea-620c-474b-9fa5-3c1cb47708e3",
  "type": "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationMigrationItems/migrationRecoveryPoints",
  "id": "/Subscriptions/cb53d0c3-bd59-4721-89bc-06916a9147ef/resourceGroups/resourcegroup1/providers/Microsoft.RecoveryServices/vaults/migrationvault/replicationFabrics/vmwarefabric1/replicationProtectionContainers/vmwareContainer1/replicationMigrationItems/virtualmachine1/migrationRecoveryPoints/b22134ea-620c-474b-9fa5-3c1cb47708e3",
  "properties": {
    "recoveryPointTime": "2017-04-26T06:37:50.8082715Z",
    "recoveryPointType": "CrashConsistent"
  }
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

MigrationRecoveryPoint

Recovery point for a migration item.

MigrationRecoveryPointProperties

Migration item recovery point properties.

MigrationRecoveryPointType

The recovery point type.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

MigrationRecoveryPoint

Recovery point for a migration item.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

location

string

Resource Location

name

string

The name of the resource

properties

MigrationRecoveryPointProperties

Recovery point properties.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

MigrationRecoveryPointProperties

Migration item recovery point properties.

Name Type Description
recoveryPointTime

string (date-time)

The recovery point time.

recoveryPointType

MigrationRecoveryPointType

The recovery point type.

MigrationRecoveryPointType

The recovery point type.

Value Description
NotSpecified

NotSpecified

ApplicationConsistent

ApplicationConsistent

CrashConsistent

CrashConsistent

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.